Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs
Class FileType

    java.lang.Object
      org.apache.commons.vfs.FileType

public final class FileType
extends Object

An enumerated type that represents a file's type.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Adam Murdoch

Field Summary
`static FileType` | `FILE` A regular file.
`static FileType` | `FILE_OR_FOLDER` A file or folder.
`static FileType` | `FOLDER` A folder.
`static FileType` | `IMAGINARY` A file that does not exist.

Method Summary
`String` | `getName()` Returns the name of this type.
`boolean` | `hasAttributes()` Returns true if files of this type may have attributes.
`boolean` | `hasChildren()` Returns true if files of this type may contain other files.
`boolean` | `hasContent()` Returns true if files of this type may have data content.
`String` | `toString()` Returns the name of this type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FOLDER

    public static final FileType FOLDER

  A folder. May contain other files, and have attributes, but does not have any data content.

### FILE

    public static final FileType FILE

  A regular file. May have data content and attributes, but cannot contain other files.

### FILE_OR_FOLDER

    public static final FileType FILE_OR_FOLDER

  A file or folder. May have data content and attributes, and can contain other files.

### IMAGINARY

    public static final FileType IMAGINARY

  A file that does not exist. May not have data content, attributes, or contain other files.

Method Detail

### toString

    public String toString()

  Returns the name of this type.

### getName

    public String getName()

  Returns the name of this type.

### hasChildren

    public boolean hasChildren()

  Returns true if files of this type may contain other files.

### hasContent

    public boolean hasContent()

  Returns true if files of this type may have data content.

### hasAttributes

    public boolean hasAttributes()

  Returns true if files of this type may have attributes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.